Skip to main content
GET
/
v4
/
appointment
/
paginated
Get paginated appointments
curl --request GET \
  --url https://api.example.com/v4/appointment/paginated \
  --header 'x-meetergo-api-user-id: <api-key>'
import requests

url = "https://api.example.com/v4/appointment/paginated"

headers = {"x-meetergo-api-user-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};

fetch('https://api.example.com/v4/appointment/paginated', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "appointments": [
    {
      "id": "<string>",
      "secret": "<string>",
      "ics": "<string>",
      "meetingInfo": {
        "name": "<string>",
        "description": "<string>",
        "enableRedirect": true,
        "redirect": "<string>",
        "passEventDetailsToRedirect": true,
        "duration": 123,
        "customChannelName": "<string>",
        "customChannelLink": "<string>",
        "groupBooking": true,
        "showAvailableSlots": true,
        "enrichInvitee": true,
        "confirmationButton": {
          "useConfirmationButton": true,
          "text": "<string>",
          "color": "<string>",
          "link": "<string>"
        },
        "bufferBefore": 123,
        "bufferAfter": 123,
        "color": {}
      },
      "hostingInfo": {
        "mainHost": "<string>",
        "meetingLink": "<string>",
        "googleEventId": "<string>",
        "googleConnectionSub": "<string>",
        "calendarConnectionId": "<string>",
        "zoomMeetingId": 123,
        "connectChannelId": "<string>",
        "wherebyMeetingId": "<string>",
        "calendarSyncProviders": {
          "id": "<string>",
          "type": "<string>",
          "hostId": "<string>",
          "eventId": "<string>",
          "calendarId": "<string>"
        }
      },
      "cancel": {
        "actionAt": "<string>",
        "actionBy": "<string>",
        "reason": "<string>"
      },
      "crmOptions": {
        "hubspotContactSync": true,
        "hubspotContactStage": "<string>",
        "hubspotCompanySync": true,
        "hubspotCompanyStage": "<string>",
        "hubspotCompanyMatchingField": "<string>",
        "hubspotDealSync": true,
        "hubspotDealStage": "<string>",
        "hubspotPipelineId": "<string>",
        "pipedriveDealSync": true,
        "pipedriveContactSync": true,
        "pipedrivePipelineId": 123,
        "pipedriveStageId": 123,
        "pipedriveUseExistingDeal": true,
        "centralStationContactSync": true,
        "centralStationDealSync": true,
        "centralStationPipelineId": 123,
        "centralStationStageId": 123,
        "linkandoSyncEnabled": true,
        "linkandoPlaybookId": 123,
        "linkandoTemplateId": 123,
        "evalancheEnabled": true,
        "klicktippEnabled": true,
        "getResponseEnabled": true,
        "getResponseCampaignId": "<string>",
        "brevoEnabled": true,
        "sevdeskEnabled": true,
        "sevdeskCategoryId": 123,
        "smartWeContactSync": true,
        "smartWeCompanySync": true,
        "smartWeDealSync": true,
        "smartWeDealStage": "<string>",
        "salesforceSyncEnabled": true,
        "salesforceCaseSync": true,
        "salesforceLeadSync": true,
        "salesforceOpportunitySync": true,
        "salesforceLeadStatus": "<string>",
        "salesforceCaseStatus": "<string>",
        "salesforceOpportunityStage": "<string>",
        "salesforceDefaultObjectType": "<string>",
        "internalCrmPipelineId": {},
        "internalCrmStageId": {},
        "crmOptInFieldName": {}
      },
      "start": "<string>",
      "end": "<string>",
      "isCancelled": true,
      "attendees": [
        {
          "id": "<string>",
          "secret": "<string>",
          "bringalongEmails": [
            "<string>"
          ],
          "notes": {},
          "receiveReminders": true,
          "language": "<string>",
          "timezone": "<string>",
          "noShow": true,
          "dataPolicyAccepted": true,
          "createdAt": "<string>",
          "updatedAt": "<string>",
          "email": "<string>",
          "fullname": "<string>",
          "firstname": "<string>",
          "lastname": "<string>",
          "phone": "<string>",
          "doubleOptIn": "<string>",
          "deletedAt": "<string>"
        }
      ],
      "attendeeIds": [
        "<string>"
      ],
      "roundRobinEntries": [
        {
          "id": 123,
          "createdAt": "<string>",
          "userId": "<string>",
          "groupId": "<string>",
          "appointmentId": "<string>",
          "queueId": "<string>",
          "selectionReason": "<string>"
        }
      ],
      "meetingTypeId": "<string>",
      "hostIds": [
        "<string>"
      ],
      "scheduledReminderIds": [
        "<string>"
      ],
      "companyId": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "resolvableErrors": [
        {
          "errorCode": "<string>"
        }
      ],
      "rescheduledAt": "<string>",
      "location": "<string>",
      "deletedAt": "<string>",
      "paymentId": "<string>",
      "note": "<string>",
      "transcription": "<string>",
      "summary": "<string>"
    }
  ],
  "total": 123
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Query Parameters

sortBy
enum<string>
Available options:
appointment.start,
appointment.createdAt
sortDirection
enum<string>
Available options:
ASC,
DESC
page
number
required

Page number (0-indexed). Use 0 for the first page.

Required range: x >= 0
Example:

0

pageSize
number
required

Number of items per page

Required range: 1 <= x <= 100
Example:

20

channel
enum<string>

Meeting channel/location type

Available options:
local,
local-attendee,
google,
zoom,
phone,
phone-incoming,
whatsapp,
connect,
webex,
skypeForConsumer,
skypeForBusiness,
teamsForBusiness,
teamsForBusiness2,
teamsForExchange,
teams2ForExchange,
custom,
resource,
whereby,
kmeet,
zava,
jitsi
start
string
end
string
workspaceId
string
status
string
all
boolean

Fetch all bookings in company, admin only

userId
string

Fetch bookings by userId, admin only

meetingTypeId
string

Response

200 - application/json

Paginated appointments retrieved successfully

appointments
object[]
required

Array of appointments for the current page

total
number
required

Total number of appointments matching the criteria